Imports System.Windows.Forms
Imports LangLib.langutil

Public Class NewPrjDialog
    Public f As String

    Private Sub NuovoProgetto_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        applyLang(Me)
        prjDir.Text = My.Computer.FileSystem.SpecialDirectories.MyDocuments
    End Sub

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOk.Click
        If My.Computer.FileSystem.DirectoryExists(prjDir.Text) = False Then
            MsgBox(getMsg("unexistingDir"), MsgBoxStyle.Critical)
            Exit Sub
        ElseIf c("\") Or c("/") Or c(":") Or c("*") Or c("?") Or c("""") Or c("<") Or c(">") Or c("|") Then
            MsgBox(getMsg("projectNameInvalidChars") & " \,/,:,*,?,"",<,>,|.", MsgBoxStyle.Critical)
            Exit Sub
        ElseIf My.Computer.FileSystem.GetFiles(prjDir.Text).Count <> 0 And My.Computer.FileSystem.GetDirectories(prjDir.Text).Count <> 0 Then
            If MsgBox(getMsg("dirNotEmpty"), MsgBoxStyle.YesNo) = MsgBoxResult.No Then
                Exit Sub
            End If
        End If
        Dim p As New Project(prjName.Text)
        My.Computer.FileSystem.CreateDirectory(prjDir.Text)
        My.Computer.FileSystem.CreateDirectory(prjDir.Text & "\src")
        My.Computer.FileSystem.CreateDirectory(prjDir.Text & "\bin")
        f = prjDir.Text & "\" & prjName.Text & ".uidp"
        p.File = f
        p.Save()
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Function c(ByVal s As String) As Boolean
        Return prjName.Text.Contains(s)
    End Function
    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub btnSfoglia_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles browse.Click
        choosedir.SelectedPath = prjDir.Text
        If choosedir.ShowDialog() = Windows.Forms.DialogResult.OK Then
            prjDir.Text = choosedir.SelectedPath
        End If
    End Sub
End Class
