Imports LangLib
Imports AddOnsLib
Imports System.Windows.Forms

Public Class NewAppDialog

    Private Sub NewAppDialog_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        applylang(Me)
        For Each i As ApplicationType In MainForm.addons.getAppTypes()
            appType.Items.Add(i.name)
        Next
    End Sub

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOk.Click
        If appName.Text <> "" Then
            If appType.SelectedIndex = -1 Then
                appType.SelectedIndex = 0
            End If
            Me.DialogResult = System.Windows.Forms.DialogResult.OK
            Me.Close()
        Else
            MsgBox(getMsg("emptyAppName"), MsgBoxStyle.Critical)
            Exit Sub
        End If
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub
End Class
